{
  "name": "prims-web",
  "private": true,
  "version": "0.0.0",
  "scripts": {
    "bootstrap": "npm install --legacy-peer-deps",
    "dev": "vite",
    "build": "vite build",
    "lint": "eslint . --ext js,jsx --report-unused-disable-directives --max-warnings 0",
    "preview": "vite preview"
  },
  "dependencies": {
    "@ant-design/charts": "^2.2.1",
    "@ant-design/icons": "^5.3.7",
    "@ant-design/pro-chat": "^1.15.0",
    "@ant-design/pro-components": "^2.7.10",
    "@reduxjs/toolkit": "^2.2.6",
    "@xyflow/react": "^12.0.3",
    "antd": "^5.21.1",
    "antd-style": "^3.6.2",
    "axios": "^1.7.2",
    "crypto-js": "^4.2.0",
    "decimal.js": "^10.4.3",
    "hoist-non-react-statics": "^3.3.2",
    "i18next": "^23.11.5",
    "i18next-browser-languagedetector": "^8.0.0",
    "invariant": "^2.2.4",
    "js-cookie": "^3.0.5",
    "lodash": "^4.17.21",
    "moment": "^2.30.1",
    "monaco-editor": "^0.44.0",
    "pinyin-pro": "^3.26.0",
    "rc-resize-observer": "^1.4.0",
    "rc-tween-one": "^3.0.6",
    "react": "^18.3.1",
    "react-dom": "^18.3.1",
    "react-i18next": "^14.1.2",
    "react-monaco-editor": "^0.55.0",
    "react-redux": "^9.1.2",
    "react-router-dom": "^6.24.0",
    "styled-components": "^6.1.11"
  },
  "devDependencies": {
    "@types/react": "^18.3.3",
    "@types/react-dom": "^18.3.0",
    "@vitejs/plugin-react-swc": "^3.5.0",
    "cross-env": "^7.0.3",
    "eslint": "^8.57.0",
    "eslint-plugin-react": "^7.34.2",
    "eslint-plugin-react-hooks": "^4.6.2",
    "eslint-plugin-react-refresh": "^0.4.7",
    "less": "^4.2.0",
    "less-loader": "^12.2.0",
    "react-dev-inspector": "^2.0.1",
    "rollup-plugin-visualizer": "^5.12.0",
    "vite": "^5.3.1",
    "vite-plugin-compression": "^0.5.1",
    "vite-plugin-monaco-editor": "^1.1.0"
  }
}
